set_window_close_button(3)

NAME
set_window_close_button

SYNOPSIS
#include <allegro.h>

int set_window_close_button(int enable);

DESCRIPTION
On platforms that are capable of it, this routine disables or enables the window close button for your Allegro program. You can call it before the window is created if you wish. If the close button is successfully disabled, this function returns zero. On platforms where the close button either does not exist or cannot be disabled, this function returns -1. If this happens, you may wish to use set_window_close_hook() to handle the close event yourself. When enabling the close button, the function will return the same value for your platform as when disabling. That means it will return non-zero if the button cannot be disabled, even though you are not trying to disable it. Note that Allegro cannot manipulate the close button of a DOS box in Windows.

SEE ALSO
set_window_close_hook(3), set_window_title(3)